Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent
Interface ContextListener

All Known Implementing Classes:
  ActionSpan, AnchorSpan, AwkSpan, BackgroundSpan, BitMagnify, BIUSpan, BlinkSpan, Blur, BoldSpan, Bounds, BoxSpan, Brighten, CapSpan, CharNum, CLGeneral, CSSGeneral, Cypher, Darken, DeleteSpan, EdgeDetect, ElideSpan, FamilySpan, FontSpan, ForegroundSpan, HyperlinkSpan, InsertSpan, InvisibleSpan, ItalicSpan, LabelSpan, Lens, LensOp, Magnify, Mirror, MonospacedSpan, MoveTextSpan, Notemark, OutlineSpan, OverstrikeSpan, PlainSpan, PlainView, PointSpan, RelPointSpan, ReplaceWithSpan, Rescale, Rotate, Ruler, ScriptSpan, SelectionSpan, Sharpen, SidebarSpan, SignalLens, SignalSpan, Span, SpanPDF, StrokeSpan, SubSupSpan, UnderlineSpan

public interface ContextListener

Implemented by everything that can affect appearance through the graphics context, especially structural behaviors, lenses, spans. Defines `base constants` used to set self-reported priority in `getPriority()`.

Version:
  $Revision: 1.3 $ $Date: 2003/06/02 05:02:06 $
See Also:
  `for stylesheet-specific priorities.`

Field Summary
`static int` | `LITTLE` Delta constant used to set self-reported priority.
`static int` | `LOT` Delta constant used to set self-reported priority.
`static int` | `PRIORITY_LENS`
`static int` | `PRIORITY_MAX`
`static int` | `PRIORITY_MIN`
`static int` | `PRIORITY_SELECTION`
`static int` | `PRIORITY_SPAN`
`static int` | `PRIORITY_STRUCT`
`static int` | `SOME` Delta constant used to set self-reported priority.

Method Summary
`boolean` | `appearance(Context cx, boolean all)` Resets the graphics context every time the object is added to or dropped from the set active over the portion of the document being drawn.
`int` | `getPriority()` Self-reported priority relative to others of the same class, e.g., other spans.

Field Detail

### LITTLE

    static final int LITTLE

  Delta constant used to set self-reported priority.

  See Also:
    Constant Field Values

### SOME

    static final int SOME

  Delta constant used to set self-reported priority.

  See Also:
    Constant Field Values

### LOT

    static final int LOT

  Delta constant used to set self-reported priority.

  See Also:
    Constant Field Values

### PRIORITY_MIN

    static final int PRIORITY_MIN

See Also:
  Constant Field Values

### PRIORITY_STRUCT

    static final int PRIORITY_STRUCT

See Also:
  Constant Field Values

### PRIORITY_SPAN

    static final int PRIORITY_SPAN

See Also:
  Constant Field Values

### PRIORITY_LENS

    static final int PRIORITY_LENS

See Also:
  Constant Field Values

### PRIORITY_MAX

    static final int PRIORITY_MAX

See Also:
  Constant Field Values

### PRIORITY_SELECTION

    static final int PRIORITY_SELECTION

See Also:
  Constant Field Values

Method Detail

### appearance

    boolean appearance(Context cx,
                       boolean all)

  Resets the graphics context every time the object is added to or dropped from the set active over the portion of the document being drawn. These behaviors can come from the style sheet, be ad hoc spans, be lenses, or come from elsewhere. Should be fast.

  Parameters:
    `all` - all attributes or exclude those that are not inherited

### getPriority

    int getPriority()

  Self-reported priority relative to others of the same class, e.g., other spans. Use the constants defined here, such as `PRIORITY_LENS`, modified by `LITTLE`/`SOME`/{#link LOT}.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD